# NetReg Global Variables File -- Version 1.3rc2-a
#----------------------------------------------------------------------------\
# Global Variables and modules
#----------------------------------------------------------------------------\
package Variables;
require Exporter;

our @ISA = qw (Exporter);
our @EXPORT = qw( $LDAPSERVER $LDAP_BASE $POPSERVER $FTPSERVER $IMAPSERVER $GFX $ADMINPATH $LEASESPATH $LEASESFILE $DHCPDCONFPATH $DHCPDCONFFILE $ERROR_LOG $IP $SUBNETFILE $DDNS_USE_HOST_DECL $LDAP_URL %FORM %RECORDS @DHCP_Servers $OMAPIKeyName $OMAPIKey $OMAPIPort @DHCP_Servers $OMAPIKeyName $OMAPIKey $OMAPIPort print_custom_header print_custom_footer);

our @EXPORT_OK = qw ();
our $VERSION = 1.3.2;

  $AUTH_METHOD = "FTP";  # possible values: (FTP|POP)
  if ($AUTH_METHOD eq "POP") { use Mail::POP3Client; }
  elsif ($AUTH_METHOD eq "FTP") { use Net::FTP; }
  elsif ($AUTH_METHOD eq "IMAP") { use Net::IMAP::Simple; }
  elsif ($AUTH_METHOD eq "LDAP") { use Net::LDAP;
                                  use Net::LDAP::Util qw(ldap_error_text
                                                      ldap_error_name
                                                      ldap_error_desc
                                                     ); }
  our $LDAPSERVER = "123.123.123.1";
  our $LDAP_BASE = "o=base";

  our $POPSERVER = "123.123.123.1";
  our $FTPSERVER = "123.123.123.1";
  our $IMAPSERVER = "123.123.123.1";
  our $GFX = "/gfx";
  our $ADMINPATH = "/cgi-bin/admin";
  our $LEASESPATH = "/var/dhcpd";
  our $LEASESFILE = "dhcpd.leases";
  our $DHCPDCONFPATH = "/etc/dhcpd";
  our $DHCPDCONFFILE = "dhcpd.conf";
  our $ERROR_LOG = "/var/dhcpd/dhcpd_errors.log";
  our $IP = $ENV{'REMOTE_ADDR'} ;
  $IP = 'bla' unless defined $IP;

  our $SUBNETFILE = "/opt/apache/cgi-bin/subnet.dat";
  our $DDNS_USE_HOST_DECL  = 0;

  # OMAPI settings..
  use OMAPI::DHCP;
#  use MIME::Base64; # for decoding the base64 keys into their binary equivalent
  our @DHCP_Servers = ('123.123.123.1'); # etc...
  our $OMAPIKeyName = 'KEY_NAME_HERE';
  our $OMAPIKey = '--secret-key-data-here==';
  our $OMAPIPort = '7911';

  our %FORM;
  our %RECORDS;

  # Set to URL or "" if you do not have an online directory application
  # Remember to URL-encode special characters. Leave <USERNAME> where the
  # username should be substituted into the URL.
  our $LDAP_URL = "http://www.XXX.XXX.XXX/cgi-bin/testenv?name=<USERNAME>";


#----------------------------------------------------------------------------/

#----------------------------------------------------------------------------\
# Print out the header HTML
#----------------------------------------------------------------------------\
  sub print_custom_header {
    print "content-type: text/html\n\n";
    print "<html><head><META HTTP-EQUIV=\"EXPIRES\" CONTENT=\"0\">";
    print "<title>Online Network Registration</title>";
    print "</head> <body TEXT=\#000000 BGCOLOR=\#FFFFFF LINK=\#705F56";
    print "VLINK=\#4B4B4B BACKGROUND=/gfx/background.jpg>";
    print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 halign=left><tr>";
    print "<td ALIGN=LEFT VALIGN=TOP WIDTH=185>";
    print "<center><img src=/gfx/spacer.gif>";
    print "</center><P> </td> <td ALIGN=LEFT VALIGN=TOP WIDTH=414>";
    print "<center><img SRC=/gfx/newits1.gif>";
    print "<p>";
  }
#----------------------------------------------------------------------------/

#----------------------------------------------------------------------------\
# Print out the footer HTML
#----------------------------------------------------------------------------\
  sub print_custom_footer {
    print "<P></center></td></tr><tr><td>&nbsp;</td></tr><tr><td></td>";
    print "<td ALIGN=CENTER>";
    print "<img SRC=/gfx/copyright.gif ALT=\"Copyright 1999-2002 Southwestern";
    print "University\"></td></tr>";
    print "</table></body></html>";
    exit 0;
  }
#----------------------------------------------------------------------------/
1;
