package Error;
require Exporter;

our @ISA = qw (Exporter);
our @EXPORT = qw(  admin_error register_error );
our @EXPORT_OK = qw ( );
our $VERSION = 1.3.2;

use Files_Omapi;  # for append_error_log
use Variables; # for print_custom_* etc

#----------------------------------------------------------------------------\
# Print out the error message
#----------------------------------------------------------------------------\
sub admin_error {
    my ($ERROR_MSG, $ERROR_TYP) = @_;
    if ( !defined $ERROR_TYP || $ERROR_TYP eq '') {
        $ERROR_TYP = "Script";
    }

    my @error = ( "$ERROR_MSG\n","$ERROR_TYP\n\n");
    append_error_log(@error);

    print "<TABLE WIDTH=350 border=0 cellspacing=0 cellpadding=1><TR>";
    print "<TH BGCOLOR=black><table width=348 cellpadding=5";
    print "cellspacing=0 align=center><TR><TH bgcolor=black>";
    print "<font color=white size=5><b>$ERROR_TYP Error</b></FONT></th>";
    print "</tr><tr><th bgcolor=\#DDD7FF>$ERROR_MSG</center><P>";
    print "</td></tr></table></th></tr></table>";
}


#----------------------------------------------------------------------------\
# Print out the error message and write it to the log file
#----------------------------------------------------------------------------\
  sub register_error {
    my ($ERROR_MSG) = @_ || ('unknown error');
    my ($SEC,$MIN,$HOUR,$DAY,$MO,$YR) = localtime;
    $YR+=1900; $MO++;
    if ($HOUR<10) { $HOUR="0$HOUR"; }
    if ($MIN<10) { $MIN="0$MIN"; }
    if ($SEC<10) { $SEC="0$SEC"; }
    $TIME="$HOUR:$MIN:$SEC";
    if ($DAY<10) { $DAY="0$DAY"; }
    if ($MO<9) { $MO="0$MO"; }

    $FORM{'user'} = 'unknown_user' unless defined $FORM{'user'};
    $RECORDS{$IP} = 'no record' unless defined $RECORDS{$IP};

    my @error = (
        "$FORM{'user'} [$YR$MO$DAY $TIME]: $ERROR_MSG\n",
        "IP = $IP\n",
        "RECORDS{IP} = $RECORDS{$IP}\n\n"
    );
    append_error_log(@error);
  
    print_custom_header();
    print "<TABLE WIDTH=350 border=0 cellspacing=0 cellpadding=1><TR>";
    print "<TH BGCOLOR=black><table width=348 cellpadding=5";
    print "cellspacing=0 align=center><TR><TH bgcolor=black>";
    print "<font color=white size=5><b>Registration Error</b></FONT></th>";
    print "</tr><tr><th bgcolor=\#DDD7FF>$ERROR_MSG</center><P>";
    print "Please press you browsers back button and try to register again.  If problem persists, call the";
    print "HelpDesk at x55555 and tell them the error you have received.<P>";
    print "</td></tr></table></th></tr></table>";
    print_custom_footer();
    exit;
  }

#----------------------------------------------------------------------------/


